from rest_framework.decorators import api_view
from rest_framework.response import Response
from rest_framework.reverse import reverse

__all__ = [
    'api_root',
]


@api_view(['GET'])
def api_root(request, format=None):  # pylint: disable=redefined-builtin
    links = {
        'conference': {
            'info': reverse('api:conference-detail', request=request, format=format),
            'assemblies': reverse('api:assembly-list', request=request, format=format),
            'events': reverse('api:event-list', request=request, format=format),
            'metanav': reverse('api:conference-metanav', request=request, format=format),
            'schedule': reverse('api:conference-schedule', request=request, format=format),
            'tracks': reverse('api:conferencetrack-list', request=request, format=format),
        },
        'personal': {
            'profile': reverse('api:profile', request=request, format=format),
            'friends': reverse('api:friends', request=request, format=format),
            'badges': reverse('api:badges', request=request, format=format),
            'timeline': reverse('api:timeline-list', request=request, format=format),
        },
    }

    return Response(links)
