# Generated by Django 4.2.7 on 2023-11-14 22:40

from django.db import migrations, models


def forwards_func(apps, schema_editor):
    PlatformUser = apps.get_model('core', 'PlatformUser')
    for user in PlatformUser.objects.all():
        channel = user.communication_channels.first()
        if channel:
            channel.is_primary = True
            channel.save()


class Migration(migrations.Migration):

    dependencies = [
        ('core', '0125_alter_assembly_banner_image_alter_badge_image'),
    ]

    operations = [
        migrations.AddField(
            model_name='platformuser',
            name='allow_reset_non_primary',
            field=models.BooleanField(default=False, help_text='PlatformUser__allow_reset_non_primary__help', verbose_name='PlatformUser__allow_reset_non_primary'),
        ),
        migrations.AddField(
            model_name='usercommunicationchannel',
            name='is_primary',
            field=models.BooleanField(default=False, help_text='UserCommunicationChannel__is_primary__help', verbose_name='UserCommunicationChannel__is_primary'),
        ),
        migrations.AddConstraint(
            model_name='usercommunicationchannel',
            constraint=models.UniqueConstraint(condition=models.Q(('is_primary', True)), fields=('user', 'channel', 'is_primary'), name='unique_channel_primary'),
        ),
        migrations.RunPython(forwards_func, migrations.RunPython.noop),
    ]
